[Date Prev][Date Next] [Chronological] [Thread] [Top]

Re: libldap_r thread-safety problems

Howard Chu <hyc@symas.com> wrote:

> If your version of libldap_r is not using the re-entrant APIs then 
> something went wrong during configure to prevent it from finding those
> APIs. You should check your config.log...

Is there a simple way to instruct configure that it will find the
re-entrant versions in libbind?
> That aside, libldap_r is (intentionally) undocumented; you use it at 
> your own risk. We've made it reliable enough for slapd's purposes. If
> you're using it in any way differently from how slapd uses it, you're on
> your own.

I use it through libcurl.

Emmanuel Dreyfus